import geopandas as gp
import matplotlib.pyplot as plt

# load the needed geojson/json
bezirke = gp.read_file('stadtbezirk.geojson')
bolzschul_points = gp.read_file('bolzschul.geojson')

# create a plot
fig, ax = plt.subplots(1, 1, figsize=(10, 6))

# Create text annotations in the fig for the bolzschul points
list_of_previous_lagen = []
for idx, row in bolzschul_points.iterrows():
    coordinates = row['geometry'].coords.xy
    x, y = coordinates[0][0], coordinates[1][0]
    # Check if there is already an annotation with the same name
    if row['lage'] not in list_of_previous_lagen:
        list_of_previous_lagen.append(row['lage'])
        ax.annotate(row['lage'], xy=(x, y), xytext=(x, y))

# Plot the map and the points
bezirke.plot(ax=ax)
bolzschul_points.plot(ax=ax, color='orange', legend=True)

ax.set_axis_off()
plt.savefig('output.png', format='png')
print("Map of sports and school grounds saved as output.png")