# Open-Data Schleswig-Holstein example code
To get you started working with the Open-Data Schleswig-Holstein we created some "hello world" examples on how to process different formats and display them or even create a visualization (slideshows, graphs, maps etc.). Feel free to contribute corrections or new examples to help others!

Example # | Name | Description | Input format | Output | Source
--- | --- | --- | --- | --- | --- 
01 | Highest Salaries | Show earnings of municipal managers in Schleswig-Holstein (based on a voluntarily survey) | JSON | Table | https://opendata-stage.schleswig-holstein.de/dataset/verguetungsoffenlegung 
02 | Wind turbines | Show height data of wind turbines in Schleswig-Holstein | CSV | Histogram | https://opendata.schleswig-holstein.de/collection/windkraftanlagen
03 | Monuments slideshow | Create a slideshow using ffmpeg from images from monuments in Schleswig-Holstein | JSON | Slideshow (mpeg) | https://opendata.schleswig-holstein.de/dataset/denkmalliste-2024-08-08
04 | Water measuring stations | Display all water level measuring stations in Schleswig-Holstein using the folium library with OpenStreetMap | CSV | OpenStreetMap overlay | https://opendata.schleswig-holstein.de/dataset/pegel-stammdaten
05 | Park bench map | Show a map of all park benches in the city of Norderstedt | SHP (shape file) | Table, Open Street Map overlay | https://opendata.schleswig-holstein.de/dataset/parkbanke
06 | Tax office map | Create a formatted HTML and map containing all tax offices in Schleswig-Holstein | RDF | HTML table, Open Street Map overlay | https://opendata.schleswig-holstein.de/dataset/finanzamter-2024-01-28
07 | ALKIS Administrative Borders | Show the administrative borders of Schleswig-Holstein | WMS | HTML, OpenStreetMap Overlay | https://opendata.schleswig-holstein.de/dataset/alkis-schleswig-holstein-ohne-eigentumerangaben
08 | Water height diagram | Create a line diagram of the water height of the Stoer near Willenscharen for 2023 | CSV | Diagram (PNG) | https://opendata.schleswig-holstein.de/dataset/wasserstand-pegel-willenscharen-stor1
09 | Car Charging Stations | Show the Charging Stations for electric cars on Orthophotos map of Norderstedt | WMS | HTML, OpenStreetMap Overlay | https://opendata.schleswig-holstein.de/dataset/e-ladestationen , https://opendata.schleswig-holstein.de/dataset/orthofotos-2020
10 | Redispatch SH-Netz AG | Show a scatter plot of the number of EEG plants of a commune and the amount of time the electricity supply needed to be reduced  | CSV | Scatterplot (PNG) | https://opendata.schleswig-holstein.de/dataset/redispatch-2022-08
11 | Power plant monitoring | Show a box plot (mean, variance, outliers) of the measures of genitron stations at different locations over a one week time window | CSV | Boxplot (PNG) | https://opendata.schleswig-holstein.de/dataset/kfu-messwerte-2024-07-29
12 | KITAs in SH | Show all KITAs colored in their respective educational concept on the OpenStreetMap and hover over for information about them | JSON | OpenStreetMap | https://opendata.schleswig-holstein.de/dataset/kindertagesstaetten-aktuell
13 | Crowdflow in Kiel | Show the received signals of devices in different proximities to a public place in Kiel per day using a histogram | CSV | Multiple Histograms | https://opendata.schleswig-holstein.de/dataset/digitale-personenzahlung-in-der-landeshauptstadt-kiel-odala
14 | Wind turbines map | Show a map of all wind turbines in Schleswig-Holstein | CSV | Scatterplot on map | https://opendata.schleswig-holstein.de/collection/windkraftanlagen
15 | Police Stations map | Show a map of all police stations in Schleswig-Holstein | CSV | Scatterplot on map | https://opendata.schleswig-holstein.de/dataset/polizeidienststellen-2024-07-30
16 | Bathing Waters map | Show a map of bathing waters in Schleswig-Holstein | CSV | Scatterplot on map | https://opendata.schleswig-holstein.de/dataset/badegewasser-stammdaten-aktuell
17 | TLS car counting | Show the composition of cars driving over the TLS counting station over the span of the 14.08.2019 in either direction in a stacked area plot | CSV | Stacked area plot | https://opendata.schleswig-holstein.de/dataset/automatische-zahlstelle-kiel-west-2019
18 | Monument Table | Show a Table of all Monuments in Rohlstorf | JSON | Table | https://opendata.schleswig-holstein.de/dataset/denkmalliste-kreis-segeberg-2025-03-03
19 | Sports and School Grounds | Show a map of Norderstedt and mark the sports and school grounds in it | GEOJSON | Static map | https://opendata.schleswig-holstein.de/dataset/bolz-oder-sportplatze-auf-schulen , https://opendata.schleswig-holstein.de/dataset/kleinraumige-gliederung-stadtbezirke